#include <linux/atm.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include <stdlib.h>

#include "pca200e.h"

int
usage(char* name)
{
  printf("shows state and statistics of PCA-200EPC\n\n"
	 "usage: %s <itf>\n"
	 "  where <itf> is the atm interface number\n",
	 name);
  return 0;
};

int
main(int argc, char* argv[])
{
  int s;
  int rc;
  struct atmif_sioc req;
  char buff[32767];
  
  if (argc != 2)
    return usage(argv[0]);
  req.number = atol(argv[1]);
  req.arg = &buff;
  req.length = sizeof(buff);
  s = socket(PF_ATMPVC,SOCK_DGRAM,0);
  if ((rc = ioctl(s, PCA200E_DUMP, &req)) < 0)
    exit(rc);
  printf("%s", buff);
  return 0;
};


